BWText Class Reference

the main class to read the text part of BeagleWorks Text file More...

`#include <BWText.hxx>`

## Public Member Functions

| BWText (BWParser &parser)
| constructor More...
virtual | ~BWText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | createZones (MWAWEntry &entry)
| try to create the text zones More...
bool | sendMainText ()
| send a main zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
void | countPages ()
| update the number of pages and the number of page by section More...
shared_ptr< MWAWSubDocument > | getHeader (int page, int &numSimillar)
| return an header subdocument More...
shared_ptr< MWAWSubDocument > | getFooter (int page, int &numSimillar)
| return a footer subdocument More...
void | updatePageSpanList (std::vector< MWAWPageSpan > &spanList)
| update the page span list More...
bool | readFontsName (MWAWEntry &entry)
| try to the font names More...
bool | sendText (MWAWEntry entry)
| try to send a text zone More...
bool | sendHF (int hfId, int sectId)
| try to send a header/footer id More...
bool | readFont (BWTextInternal::Font &font, long endPos)
| try to read a font properties More...
bool | readParagraph (MWAWParagraph &para, long endPos, bool inSection=false)
| try to read a paragraph knowing end pos More...
bool | readSection (MWAWEntry const &entry, BWTextInternal::Section &section)
| try to read a section More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< BWTextInternal::State > | m_state
| the state More...
BWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| BWText (BWText const &orig)
BWText & | operator= (BWText const &orig)

## Friends

class | BWParser
class | BWTextInternal::SubDocument

## Detailed Description

the main class to read the text part of BeagleWorks Text file

## Constructor & Destructor Documentation

BWText::BWText | ( | BWParser & | parser | ) |

constructor

BWText::~BWText | ( |  | ) |

virtual

destructor

BWText::BWText | ( | BWText const & | orig | ) |

private

## Member Function Documentation

void BWText::countPages | ( |  | ) |

protected

update the number of pages and the number of page by section

Referenced by numPages().

bool BWText::createZones | ( | MWAWEntry & | entry | ) |

protected

try to create the text zones

void BWText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

shared_ptr< MWAWSubDocument > BWText::getFooter | ( | int | page,
|  | int & | numSimillar
| ) |  |

protected

return a footer subdocument

shared_ptr< MWAWSubDocument > BWText::getHeader | ( | int | page,
|  | int & | numSimillar
| ) |  |

protected

return an header subdocument

int BWText::numPages | ( |  | ) | const

returns the number of pages

BWText& BWText::operator= | ( | BWText const & | orig | ) |

private

bool BWText::readFont | ( | BWTextInternal::Font & | font,
|  | long | endPos
| ) |  |

protected

try to read a font properties

Referenced by countPages(), and sendText().

bool BWText::readFontsName | ( | MWAWEntry & | entry | ) |

protected

try to the font names

bool BWText::readParagraph | ( | MWAWParagraph & | para,
|  | long | endPos,
|  | bool | inSection = `false`
| ) |  |

protected

try to read a paragraph knowing end pos

Referenced by countPages(), readSection(), and sendText().

bool BWText::readSection | ( | MWAWEntry const & | entry,
|  | BWTextInternal::Section & | section
| ) |  |

protected

try to read a section

Referenced by createZones().

bool BWText::sendHF | ( | int | hfId,
|  | int | sectId
| ) |  |

protected

try to send a header/footer id

Referenced by BWTextInternal::SubDocument::parse().

bool BWText::sendMainText | ( |  | ) |

protected

send a main zone

bool BWText::sendText | ( | MWAWEntry | entry | ) |

protected

try to send a text zone

Referenced by flushExtra(), sendHF(), and sendMainText().

void BWText::updatePageSpanList | ( | std::vector< MWAWPageSpan > & | spanList | ) |

protected

update the page span list

int BWText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class BWParser

friend

friend class BWTextInternal::SubDocument

friend

## Member Data Documentation

BWParser* BWText::m_mainParser

protected

the main parser;

Referenced by readSection(), and sendText().

MWAWParserStatePtr BWText::m_parserState

protected

the parser state

Referenced by countPages(), createZones(), flushExtra(), getFooter(), getHeader(), readFont(), readFontsName(), readParagraph(), readSection(), sendHF(), sendText(), and version().

shared_ptr<BWTextInternal::State> BWText::m_state

protected

the state

Referenced by countPages(), createZones(), flushExtra(), getFooter(), getHeader(), numPages(), readFontsName(), sendHF(), sendMainText(), sendText(), and version().

The documentation for this class was generated from the following files:

- BWText.hxx
- BWText.cxx